
Figure - 开发 Dev #110660
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110125 (New): 【MK】【BSP】管理总票

【MK】【027】【MCU】主任务
2022-07-25 13:06 - CD TPM-申艳艳

Status: New Start date: 2022-07-25

Priority: Normal Due date:

Assignee: CD BSP-陈杰 % Done: 81%

Category: Estimated time: 0.00 hour

Target version:

Description

MCU主任务，详细参见子任务

Subtasks:

开发 Dev # 110661: 【MK】【027】【MCU】【TC-RID: 1201-0102701】Mcu bringup 完成 Closed

开发 Dev # 110662: 【MK】【027】【MCU】【TC-RID: 1201-0102702】Can指令收发与解析 进行中 In Progress

  开发 Dev # 113240: 【MK】【027】【MCU】【TC-RID: 1201-0102702】can通知MPU关机 进行中 In Progress

  开发 Dev # 113241: 【MK】【027】【MCU】【TC-RID: 1201-0102702】Can指令解析，设备重启 进行中 In Progress

  开发 Dev # 113243: 【MK】【027】【MCU】【TC-RID: 1201-0102702】Can通知MCU走... 未着手 Not Started

开发 Dev # 110663: 【MK】【027】【MCU】【TC-RID: 1201-0102703】电源控制 New

开发 Dev # 110664: 【MK】【027】【MCU】【TC-RID: 1201-0102704】与Soc端的uart通信 进行中 In Progress

  开发 Dev # 113251: 【MK】【027】【MCU】【TC-RID:1201-0102705】MCU和MPU的心跳 未着手 Not Started

开发 Dev # 112215: 【MK】【027】【MCU】【TC-RID:1201-0102705】MUC软件版本接口 解决 Resolved

  开发 Dev # 113244: 【MK】【027】【MCU】【TC-RID:1201-0102705】MUC软件版本，兼容... 完成 Closed

History

#1 - 2022-08-02 15:01 - SZ TPM-罗云进

- Category changed from 714 to 709

- Assignee changed from SZ TPM-罗云进 to SZ BSP-徐季源

#2 - 2022-08-04 21:32 - CD TPM-申艳艳

- Subject changed from 【MK】【029】【MCU】主任务 to 【MK】【027】【MCU】主任务

#3 - 2022-09-13 09:53 - SZ BSP-徐季源

- Assignee changed from SZ BSP-徐季源 to CD BSP-陈杰

#4 - 2022-12-22 20:38 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

152609 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com
BSP:MCU: MCU code buring up, storage, and feature integrationThis commit protects the following functions:1. Buring up of MCU code2. Solve the power-on

and power-on sequence bug3. Increase the voltage protection function4. MCU firmware upgrade functionTC-RID: 1201-0102701TC-RID:

1201-0102703TC-RID: 1201-0102704IssueID: TS-R-BUG-111416IssueID: TS-R-BUG-111734IssueID: TS-R-BUG-111732IssueID: TS-R-BUG-112002IssueID:

TS-R-DF-111421IssueID: TS-R-DF-112099IssueID: TS-R-DF-110660IssueID: TS-R-DF-110663IssueID: TS-R-DF-110664Change-Id:

Iacb3bbd40b9278405f21f5d34d741dfe08c3c4ff

#5 - 2022-12-22 20:39 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

152787 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com

BSP: MCU: Add firmware for MCU programming and upgradeThe firmware version information is V0.0.1, which is the initial version. Implementation function:1.

Increase the power-on sequence2. Increase the voltage protection function3. Add version informationTC-RID: 1201-0102701TC-RID: 1201-0102703TC-RID:

1201-0102704IssueID: TS-R-BUG-111416IssueID: TS-R-BUG-111734IssueID: TS-R-BUG-111732IssueID: TS-R-BUG-112002IssueID:

TS-R-DF-111421IssueID: TS-R-DF-112099IssueID: TS-R-DF-110660IssueID: TS-R-DF-110663IssueID: TS-R-DF-110664Change-Id:

I047b1483f36d87a7a080b1470eb836cbc620a06e

#6 - 2022-12-22 20:42 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

154928 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

jie.chen@thundersoft.com
BSP:MCU: Functional integration version of the MCUThis version contains the following functions:1.Improve the overvoltage protection function and increase

theover-voltage protection communication with the MMU;2.Improve the function of power-on and power-up sequence, andfix the problem that the boot screen

is not displayed;3.increase the can communication through, currently only openthe can's transceiver, there is no integration of other can's functions.TC-RID:

1201-0102701TC-RID: 1201-0102703TC-RID: 1201-0102704IssueID: TS-R-BUG-111416IssueID: TS-R-BUG-111734IssueID: TS-R-BUG-111732IssueID:

TS-R-BUG-112002IssueID: TS-R-DF-111421IssueID: TS-R-DF-112099IssueID: TS-R-DF-110660IssueID: TS-R-DF-110663IssueID:

TS-R-DF-110664Change-Id: I0c7022c0c6e09e54f1b390deb1fb0df27ece4a38

2025-07-04 3/3


